Bug 1151557

Summary: server:monitoring/golang-github-prometheus-node_exporter: Bug: /etc/sysconfig/prometheus-node_exporter is missing
Product: [openSUSE] openSUSE.org Reporter: Martin Schröder <martin>
Component: 3rd party softwareAssignee: Stefano Torresi <stefano.torresi>
Status: RESOLVED FIXED QA Contact: E-mail List <screening-team-bugs>
Severity: Normal    
Priority: P3 - Medium CC: dmaiocchi, jan.fajerski, nix, stefano.torresi
Version: unspecified   
Target Milestone: ---   
Hardware: x86-64   
OS: Other   
Whiteboard:
Found By: --- Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---

Description Martin Schröder 2019-09-22 20:40:55 UTC
The unit file for the exporter references /etc/sysconfig/prometheus-node_exporter, but the rpm does not provide it.
Comment 2 Dario Maiocchi 2019-09-27 07:40:33 UTC
done avail in last pkg
Comment 3 Jan Fajerski 2019-10-08 08:00:23 UTC
Reopening as the fix breaks in some environments. Fix is available in Devel package but not in Factory.
Comment 7 Swamp Workflow Management 2020-10-02 13:15:44 UTC
SUSE-RU-2020:2837-1: An update that has two recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1151557,1175889
CVE References: 
JIRA References: 
Sources used:
SUSE Manager Tools 12 (src):    golang-github-QubitProducts-exporter_exporter-0.4.0-1.3.1, golang-github-prometheus-node_exporter-1.0.1-1.9.1, mgr-daemon-4.1.2-1.17.1, spacecmd-4.1.7-38.67.1, spacewalk-client-tools-4.1.6-52.35.1
SUSE Linux Enterprise Server 12-SP5 (src):    golang-github-prometheus-node_exporter-1.0.1-1.9.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 8 Swamp Workflow Management 2020-10-02 13:20:04 UTC
SUSE-RU-2020:2842-1: An update that has one recommended fix can now be installed.

Category: recommended (moderate)
Bug References: 1151557
CVE References: 
JIRA References: 
Sources used:
SUSE Linux Enterprise Module for SUSE Manager Server 4.0 (src):    golang-github-prometheus-node_exporter-1.0.1-3.6.1
SUSE Linux Enterprise Module for SUSE Manager Proxy 4.0 (src):    golang-github-prometheus-node_exporter-1.0.1-3.6.1
SUSE Linux Enterprise Module for Basesystem 15-SP2 (src):    golang-github-prometheus-node_exporter-1.0.1-3.6.1
SUSE Linux Enterprise Module for Basesystem 15-SP1 (src):    golang-github-prometheus-node_exporter-1.0.1-3.6.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 9 Swamp Workflow Management 2020-10-02 13:24:57 UTC
SUSE-RU-2020:2841-1: An update that has one recommended fix can now be installed.

Category: recommended (moderate)
Bug References: 1151557
CVE References: 
JIRA References: 
Sources used:
SUSE Linux Enterprise Server for SAP 15 (src):    golang-github-prometheus-node_exporter-1.0.1-3.9.1
SUSE Linux Enterprise Server 15-LTSS (src):    golang-github-prometheus-node_exporter-1.0.1-3.9.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    golang-github-prometheus-node_exporter-1.0.1-3.9.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    golang-github-prometheus-node_exporter-1.0.1-3.9.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 10 Swamp Workflow Management 2020-10-02 13:25:52 UTC
SUSE-RU-2020:2848-1: An update that has 22 recommended fixes can now be installed.

Category: recommended (low)
Bug References: 1151557,1165287,1165829,1171836,1172079,1172263,1173073,1173520,1173603,1173621,1174025,1174254,1174357,1174423,1174636,1175512,1175529,1175545,1175556,1175889,1176500,1176503
CVE References: 
JIRA References: 
Sources used:
SUSE Manager Server 4.1 (src):    release-notes-susemanager-4.1.2-3.21.1
SUSE Manager Retail Branch Server 4.1 (src):    release-notes-susemanager-proxy-4.1.2-3.14.1
SUSE Manager Proxy 4.1 (src):    release-notes-susemanager-proxy-4.1.2-3.14.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 11 Swamp Workflow Management 2020-10-02 13:34:36 UTC
SUSE-RU-2020:2832-1: An update that has 7 recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1151557,1174423,1174636,1175512,1175889,1176500,1176503
CVE References: 
JIRA References: 
Sources used:
SUSE Linux Enterprise Module for SUSE Manager Proxy 4.1 (src):    golang-github-QubitProducts-exporter_exporter-0.4.0-6.9.4, golang-github-prometheus-node_exporter-1.0.1-3.3.4, mgr-daemon-4.1.2-2.3.3, patterns-suse-manager-4.1-6.6.3, spacecmd-4.1.7-4.6.3, spacewalk-backend-4.1.15-4.8.4, spacewalk-certs-tools-4.1.13-3.6.3, spacewalk-client-tools-4.1.6-4.3.3, spacewalk-web-4.1.18-3.6.3, susemanager-build-keys-15.2.1-3.3.2

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 12 Swamp Workflow Management 2020-10-02 13:45:02 UTC
SUSE-SU-2020:2832-1: An update that solves one vulnerability and has 25 fixes is now available.

Category: security (moderate)
Bug References: 1151557,1165287,1165829,1171836,1172079,1172263,1173073,1173520,1173603,1173621,1174025,1174254,1174357,1174423,1174636,1175103,1175512,1175529,1175545,1175556,1175889,1176500,1176503,1176844,1176862,1176913
CVE References: CVE-2019-14900
JIRA References: 
Sources used:
SUSE Linux Enterprise Module for SUSE Manager Server 4.1 (src):    golang-github-QubitProducts-exporter_exporter-0.4.0-6.9.4, golang-github-prometheus-node_exporter-1.0.1-3.3.4, hibernate5-5.3.7-3.3.4, hub-xmlrpc-api-0.7-3.3.3, patterns-suse-manager-4.1-6.6.3, prometheus-exporters-formula-0.7.3-3.10.1, salt-netapi-client-0.17.0-15.4.3, spacecmd-4.1.7-4.6.3, spacewalk-backend-4.1.15-4.8.4, spacewalk-branding-4.1.10-3.6.3, spacewalk-certs-tools-4.1.13-3.6.3, spacewalk-client-tools-4.1.6-4.3.3, spacewalk-java-4.1.20-3.11.8, spacewalk-utils-4.1.12-3.6.3, spacewalk-web-4.1.18-3.6.3, subscription-matcher-0.26-3.3.3, susemanager-4.1.20-3.8.3, susemanager-build-keys-15.2.1-3.3.2, susemanager-doc-indexes-4.1-11.12.2, susemanager-docs_en-4.1-11.12.2, susemanager-schema-4.1.13-3.6.3, susemanager-sls-4.1.15-3.8.4, uyuni-config-formula-0.1-6.3.3

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 13 Swamp Workflow Management 2020-10-05 19:18:16 UTC
openSUSE-RU-2020:1621-1: An update that has one recommended fix can now be installed.

Category: recommended (moderate)
Bug References: 1151557
CVE References: 
JIRA References: 
Sources used:
openSUSE Leap 15.1 (src):    golang-github-prometheus-node_exporter-1.0.1-lp151.2.6.1
Comment 14 Swamp Workflow Management 2020-10-06 10:19:30 UTC
openSUSE-RU-2020:1626-1: An update that has one recommended fix can now be installed.

Category: recommended (moderate)
Bug References: 1151557
CVE References: 
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    golang-github-prometheus-node_exporter-1.0.1-lp152.3.6.1
Comment 17 Swamp Workflow Management 2020-12-15 23:28:14 UTC
SUSE-RU-2020:3823-1: An update that has 14 recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1143913,1151557,1167907,1169664,1171281,1172709,1173557,1173584,1174405,1174965,1175889,1176943,1176978,1177928
CVE References: 
JIRA References: 
Sources used:
SUSE Manager Tools 12-BETA (src):    cobbler-2.6.6-52.6.4, golang-github-QubitProducts-exporter_exporter-0.4.0-4.3.2, golang-github-boynux-squid_exporter-1.6-4.3.2, golang-github-lusitaniae-apache_exporter-0.7.0-4.6.2, golang-github-prometheus-alertmanager-0.21.0-4.3.4, golang-github-prometheus-node_exporter-1.0.1-4.6.4, golang-github-prometheus-prometheus-2.18.0-4.9.5, golang-github-prometheus-promu-0.3.0-4.3.2, golang-github-wrouesnel-postgres_exporter-0.4.7-4.3.1, grafana-7.1.5-4.6.5, grafana-ha-cluster-dashboards-1.1.0+git.1605027022.a84d536-4.3.1, grafana-sap-hana-dashboards-1.0.2+git.1600361067.f7c00d1-4.3.1, grafana-sap-netweaver-dashboards-1.0.3+git.1601889366.9f71957-4.3.1, grafana-sap-providers-1.1-4.3.1, hwdata-0.314-13.3.1, icinga-1.13.3-15.3.2, mgr-cfg-4.2.1-4.9.5, mgr-custom-info-4.2.1-4.6.1, mgr-daemon-4.2.4-4.6.3, mgr-osad-4.2.2-4.9.4, mgr-push-4.2.2-4.6.5, mgr-virtualization-4.2.1-4.6.5, newt-0.52.16-5.3.1, patterns-manager-client-tools-12-6.3.1, python-Jinja2-2.8-22.3.1, python-MarkupSafe-0.23-6.3.1, python-PyYAML-5.1.2-29.3.2, python-backports-4.0.0-4.3.1, python-backports.ssl_match_hostname-3.5.0.1-24.3.1, python-dmidecode-3.12.1-17.3.1, python-docker-py-1.7.2-30.3.1, python-ethtool-0.9-7.3.1, python-futures-3.0.2-18.3.1, python-gudev-147.2-10.3.1, python-hwdata-2.3.5-15.3.1, python-jabberpy-0.5-14.3.1, python-msgpack-python-0.4.6-11.3.2, python-psutil-5.2.2-18.3.1, python-pycrypto-2.6.1-13.3.2, python-pyinotify-0.9.6-12.3.1, python-pyzmq-14.0.0-12.3.1, python-requests-2.11.1-9.3.2, python-singledispatch-3.4.0.3-4.6.1, python-tornado-4.2.1-20.3.1, python-websocket-client-0.32.0-16.3.1, rhnlib-4.2.1-24.9.3, salt-3000-49.23.3, sle-manager-tools-release-12-13.3.2, spacecmd-4.2.3-41.12.3, spacewalk-client-tools-4.2.4-55.18.3, spacewalk-koan-4.2.3-27.6.3, spacewalk-oscap-4.2.1-22.6.1, spacewalk-remote-utils-4.2.1-27.6.3, spacewalk-usix-4.0.9-6.3.2, supportutils-plugin-salt-1.1.4-9.3.1, supportutils-plugin-susemanager-client-4.2.2-9.9.1, suseRegisterInfo-4.2.2-28.9.3, uyuni-base-4.2.2-3.6.1, uyuni-common-libs-4.2.2-3.15.3, zeromq-4.0.4-18.3.2, zypp-plugin-spacewalk-1.0.8-33.9.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 19 Stefano Torresi 2021-05-12 17:33:37 UTC
fixed by https://build.opensuse.org/request/show/780064

I'm not sure why #1153280 was marked as a dependency of this, I don't think we can do anything in the node_exporter package to fix fillup.